import { PageFolder, PathTree, PageTreeNode, Page, ValidTreeNode } from './pages';
export interface Descriptors {
    pages: Page<any, any>[];
    folders: PageFolder[];
    pathTree: PathTree;
    folderContents: {
        [folder: string]: string[];
    };
    filteredPathTree: PathTree;
    filteredFolderContents: {
        [folder: string]: string[];
    };
}
export declare function buildDescriptorsFromTree<T extends ValidTreeNode>(root: PageTreeNode<T>): Descriptors;
