import { Reducible, Action } from 'reducible-node';
import { PageOccurrence, Page } from './pages';
export declare class PageInstance<TParams = {}, TState = {}> implements Reducible<PageInstance<TParams, TState>> {
    private node;
    readonly occurrence: PageOccurrence<TParams>;
    readonly page: Page<TParams, TState>;
    constructor(page: Page<TParams, TState>, occurrence: PageOccurrence<TParams>);
    readonly path: string;
    readonly mutex: string;
    readonly parent: string | undefined;
    readonly openedFrom: string | undefined;
    readonly title: string | undefined;
    readonly state: TState;
    readonly params: TParams;
    reduce(action: Action<any>): this;
}
