/// <reference types="react" />
import * as React from 'react';
import { ReducibleNode } from 'reducible-node';
import { Navigator } from './navigator';
export interface NavigationPassedProps<R extends ReducibleNode<any>, TParams = {}> {
    mutex: string;
    parent: string | undefined;
    path: string;
    openedFrom: string | undefined;
    params: TParams;
    state: R['type'];
    title: string;
    navigator: Navigator;
}
export interface NavigationProps {
    navigator: Navigator;
    mutex?: string;
}
export declare function Navigation({navigator, mutex}: NavigationProps): React.ReactElement<NavigationPassedProps<any, any>>;
